module main(
	input clk, 		//clk trebuie sa fie 25MHz
	input reset,		//linia de reset a procesorului
	output powerLed,	//led pentru afisarea starii de "pornit" a CPU
	output statusLed,	//led pentru afisarea starii de "lucrez..." a CPU
	output errorLed	//led pentru afisarea starii de "eroare" a CPU
	);
	
	wire read_write;
	wire [6:0] addressRam;
	wire [7:0] dataRam;
	wire [9:0] addressRom;
	wire [15:0] dataRom;
	
	
	CPU cpu(
		.clk(clk), 
		.reset(reset), 
		.powerLed(powerLed), 
		.statusLed(statusLed), 
		.errorLed(errorLed), 
		.read(read_write), 
		.addressRom(addressRom),
		.addressRam(addressRam),
		.dataRom(dataRom),
		.dataRam(dataRam)
		);
		
	RAM ram(
		.clk(clk), 
		.read(read_write), 
		.addressRam(addressRam), 
		.dataRam(dataRam)
		);
		
	ROM rom(
		.clk(clk),  
		.addressRom(addressRom),
		.dataRom(dataRom)
		);
		
endmodule
