`timescale 1ns / 1ps

module test_main;

	// Inputs
	reg clk;
	reg reset;

	// Outputs
	wire powerLed;
	wire statusLed;
	wire errorLed;

	// Instantiate the Unit Under Test (UUT)
	main uut (
		.clk(clk), 
		.reset(reset), 
		.powerLed(powerLed),
		.statusLed(statusLed),
		.errorLed(errorLed)
		);

	integer currentTime;
	localparam DELAY=20;
	
	always
	begin
		#(DELAY/2) clk = ~clk;
		#(DELAY/2) clk = ~clk;
		
		currentTime = currentTime + 1;
		$display("\n-------------------------------------------------------------Tick %d-------------------------------------------------------------", currentTime);
		
	end

	initial
	begin
		currentTime = 1;
		reset = 0;
		clk = 0;
		
		#100; //wait for global reset to finish
		
		$display("-------------------------------------------------------------Tick %d-------------------------------------------------------------", currentTime);
		#(2.5 * DELAY) reset = 1;
		#(DELAY*2) reset = 0;
		 		
	end 
      
endmodule

